Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class Expression_ConstantString

    java.lang.Object
      rdlc.sw.Expression_ConstantString

All Implemented Interfaces:
  Expression

    public class Expression_ConstantString

extends java.lang.Object
implements Expression

A constant string expression. Can be used to represent both string constants and arbitraty literals in the output language. Several key literals are predefined.

Version:
  $Revision: 1.7 $
Author:
  Greg Gibeling

Field Summary
`static Expression_ConstantString` | `falseExp` The literal false.
`protected boolean` | `identifier` True if this constant represents an identifier, rather than a string constant in the result code.
`static Expression_ConstantString` | `nullExp` The literal null.
`static Expression_ConstantString` | `thisExp` The literal "this" which refers to the enclosing object.
`static Expression_ConstantString` | `trueExp` The literal true.
`protected java.lang.String` | `value` The value or text of this string constant.

Constructor Summary
`Expression_ConstantString(java.lang.String _value, boolean _identifier)` Creare either a string constant or an identifier with the given value.

Method Summary
`java.lang.String` | `getValue()` Simple accessor
`boolean` | `isConstant()` Simple accessor.
`boolean` | `isIdentifier()` Simple accessor.
`boolean` | `isLValue()` Simple accessor.
`boolean` | `isRValue()` Simple accessor.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nullExp

    public static final Expression_ConstantString nullExp

  The literal null. Used only for references or pointers.

### trueExp

    public static final Expression_ConstantString trueExp

  The literal true.

### falseExp

    public static final Expression_ConstantString falseExp

  The literal false.

### thisExp

    public static final Expression_ConstantString thisExp

  The literal "this" which refers to the enclosing object.

### value

    protected java.lang.String value

  The value or text of this string constant.

### identifier

    protected boolean identifier

  True if this constant represents an identifier, rather than a string constant in the result code.

Constructor Detail

### Expression_ConstantString

    public Expression_ConstantString(java.lang.String _value,
                                     boolean _identifier)

  Creare either a string constant or an identifier with the given value.

  Parameters:
    `_value` - The value to use for this string constant.
    `_identifier` - `true` if this should create an identifier rather than a string constant.

Method Detail

### isConstant

    public boolean isConstant()

  Description copied from interface: `Expression`
  Simple accessor.

  Specified by:
    `isConstant` in interface `Expression`
  Returns:
    `true` if this expression is a constant.
  See Also:
    `Expression.isConstant()`

### isLValue

    public boolean isLValue()

  Description copied from interface: `Expression`
  Simple accessor.

  Specified by:
    `isLValue` in interface `Expression`
  Returns:
    `true` if this expression can be used as an l-value.
  See Also:
    `Expression.isLValue()`

### isRValue

    public boolean isRValue()

  Description copied from interface: `Expression`
  Simple accessor.

  Specified by:
    `isRValue` in interface `Expression`
  Returns:
    `true` if this expression can be used as an e-value.
  See Also:
    `Expression.isRValue()`

### getValue

    public java.lang.String getValue()

  Simple accessor

  Returns:
    The value of this string constant.

### isIdentifier

    public boolean isIdentifier()

  Simple accessor.

  Returns:
    `true` if this represents an identifier rather than a constant string.

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A human readable representation of this wire for debugging.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD